package org.example;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class YourController {

    private final YourEntityService yourEntityService;

    @Autowired
    public YourController(YourEntityService yourEntityService) {
        this.yourEntityService = yourEntityService;
    }

    @GetMapping("/count")
    public long countRows() {
        return yourEntityService.countRows();
    }
}